package org.springblade.device.feign;

import org.springblade.device.entity.TemperatureDevice;
import org.springblade.device.vo.TemperatureDeviceVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class TemperatureDeviceClientFallback implements ITemperatureDeviceClient {
            /**
         * 详情
         */
        @Override
        public TemperatureDeviceVO detail(TemperatureDevice temperatureDevice) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<TemperatureDeviceVO> list(TemperatureDevice temperatureDevice) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( TemperatureDevice temperatureDevice) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( TemperatureDevice temperatureDevice) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( TemperatureDevice temperatureDevice) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
